package com.example.shoesapptest.data.remote.retrofit

import com.example.shoesapptest.data.model.RegistrationRequest
import com.example.shoesapptest.data.model.TokenResponse
import com.example.shoesapptest.data.remote.AuthRemoteSource
import retrofit2.http.Body
import retrofit2.http.POST

interface Auth:AuthRemoteSource {
    @POST("/registration")
    override suspend fun registration(@Body registrationRequest: RegistrationRequest): TokenResponse
}